
Katello - Bug #5243

When deleting a content view version and then publishing a new version, the version number is

incorrect

04/18/2014 03:39 PM - David Davis

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category: Content Views   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If I delete version 1 and then publish again, the new version should be #2 and not 1.

We need to keep track of the latest version number.

Associated revisions

Revision 3e93e280 - 04/21/2014 10:48 AM - David Davis

Fixes #5243 - Store the content view next version

When destroying content view versions, we were keep track of the last version

number so we'd publish using version numbers that were deleted. With this

change, we'll store the next version number, increment it, and use it for new

versions.

Revision 913dc88c - 04/21/2014 02:34 PM - David Davis

Merge pull request #3991 from daviddavis/temp/20140418085641

Fixes #5243 - Store the content view next version

Revision b15be796 - 04/21/2014 02:48 PM - David Davis

Fixes #5243 - Store the content view next version

When destroying content view versions, we were keep track of the last version

number so we'd publish using version numbers that were deleted. With this

change, we'll store the next version number, increment it, and use it for new

versions.

Revision f5e6d3db - 04/21/2014 06:34 PM - David Davis

Merge pull request #3991 from daviddavis/temp/20140418085641

Fixes #5243 - Store the content view next version

History

#1 - 04/21/2014 06:54 PM - David Davis

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:b15be7962ad085ed79621e9e989a6107e2067713.

#2 - 06/06/2014 01:08 PM - Eric Helms

- Triaged changed from No to Yes
#3 - 08/21/2014 02:46 PM - Eric Helms

- translation missing: en.field_release set to 13
